import { For, JSXElement, createResource } from "solid-js";

import { getComments } from "../Util/api";
import { Comment } from "./Comment";

export function CommentSection(props: { postId: string }): JSXElement {
  const [comments] = createResource(props.postId, () =>
    getComments(props.postId, 10, 0)
  );

  return (
    <section class="my-5 border-b-2 border-b-primary bg-base-200 p-5 ">
      <For each={comments()!}>{(comment) => <Comment comment={comment} />}</For>
    </section>
  );
}
